Skip to main content
GET
Get NFT metadata

Authorizations

X-API-Key
string
header
default:test
required

Path Parameters

address
string
required

The address of the NFT contract

Example:

"0x524cab2ec69124574082676e6f654a18df49a048"

token_id
string
required

The ID of the token

Example:

"1"

Query Parameters

chain
enum<string>

The chain to query

Available options:
eth,
0x1,
polygon,
0x89,
bsc,
0x38,
avalanche,
0xa86a,
cronos,
0x19,
arbitrum,
0xa4b1,
chiliz,
0x15b38,
gnosis,
0x64,
base,
0x2105,
optimism,
0xa,
linea,
0xe708,
moonbeam,
0x504,
moonriver,
0x505,
flow,
0x2eb,
ronin,
0x7e4,
lisk,
0x46f,
pulse,
0x171,
sei,
0x531,
monad,
0x8f
format
enum<string>
default:decimal

The format of the token ID

Available options:
decimal,
hex
Example:

"decimal"

normalizeMetadata
boolean
default:true

Should normalized metadata be returned?

media_items
boolean
default:false

Should preview media data be returned?

include_prices
boolean
default:false

Should NFT last sale prices be included in the result?

Response

200 - application/json

Returns the specified NFT.

token_address
string
required

The address of the NFT contract

Example:

"0xb47e3cd837dDF8e4c57F05d70Ab865de6e193BBB"

token_id
string
required

The token ID of the NFT

Example:

"15"

contract_type
string
required

The type of NFT contract standard

Example:

"ERC721"

name
string
required

The name of the NFT contract

Example:

"CryptoKitties"

symbol
string
required

The symbol of the NFT contract

Example:

"RARI"

possible_spam
boolean
required

Indicates if a contract is possibly a spam contract

Example:

"false"

owner_of
string

The wallet address of the owner of the NFT

Example:

"0x9c83ff0f1c8924da96cb2fcb7e093f78eb2e316b"

token_hash
string

The token hash

Example:

"502cee781b0fb40ea02508b21d319ced"

block_number
string

The block number when the amount or owner changed

Example:

"88256"

block_number_minted
string

The block number when the NFT was minted

Example:

"88256"

token_uri
string

The URI to the metadata of the token

metadata
string

The metadata of the token

normalized_metadata
object

A normalized metadata version of the NFT's metadata.

media
object

A set of links to 'thumbnail / preview' media files

minter_address
string

The address that minted the NFT

Example:

"0x9c83ff0f1c8924da96cb2fcb7e093f78eb2e316b"

last_token_uri_sync
string

When the token_uri was last updated

last_metadata_sync
string

When the metadata was last updated

amount
string

The quantity of this item that the user owns (used by ERC1155)

Example:

"1"

verified_collection
boolean

Indicates if a contract is verified

Example:

"false"

rarity_rank
number

The rarity rank

Example:

21669

rarity_percentage
number

The rarity percentage

Example:

98

rarity_label
string

The rarity label

Example:

"Top 98%"

last_sale
object | null

Details about the most recent sale involving this token.

list_price
object
floor_price
string

The floor price of collection the NFT belongs to

Example:

"12345"

floor_price_usd
string

The floor price of the contract in USD

Example:

"12345.4899"

floor_price_currency
string

The currency of the floor price

Example:

"eth"